%define release 6
%define version 1.1.0

Summary: Koozali SME Server Nextcloud configuration
Name: smeserver-nextcloud
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-nextcloud-1.1.0.patch0.patch
Patch1: smeserver-nextcloud-1.1.0.bz10556.patch
Patch2: smeserver-nextcloud-1.1.0-bz10560-logrotate.patch
Patch3: smeserver-nextcloud-1.1.0-bz10558-logincredentials.patch
Patch4: smeserver-nextcloud-1.1.0-bz10559-shares.patch
Patch5: smeserver-nextcloud-1.1.0-bz10557-ibays_folder.patch
Patch6: smeserver-nextcloud-1.1.0-bz10560-signal-event-hang.patch
Patch7: smeserver-nextcloud-1.1.0-bz10566-improve-shares.patch
BuildArch: noarch
URL: https://www.nextcloud.com 

BuildRequires: e-smith-devtools

Requires: nextcloud >= 13.0.1
Requires: e-smith-apache
Requires: e-smith-mysql
Requires: smeserver-webapps-common
Requires: smeserver-php-fpm
Requires: samba-client
Requires: php71-php-smbclient
Requires: php71-php-opcache
Requires: php71-php-pecl-apcu
Requires: perl-JSON

%description
Koozali SME Server Nextcloud files and configuration.


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
perl createlinks

%install
rm -rf %{buildroot}
(cd root; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} \
 --dir /var/lib/php/nextcloud  'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/session 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud/data 'attr(0755,www,www)' \
 > %{name}-%{version}-filelist

cat %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING


%changelog
* Wed Apr 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- fix shares not correctly handled [SME: 10564]
- improve shares support
- reload file cache after creation of ibays folder, so it displays to users.
- improve output to message log

* Mon Apr 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-5.sme
- fix signal-event nextcloud-update hang [SME: 10560]

* Sun Apr 08 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-4.sme
- fix wrong logrotate option [SME: 10560]
- change password storage mode for smb share to allow access from portable devices [SME: 10558]
- create the "ibays" main folder to mount all ibays in every user nextcloud space [SME: 10557]
- add Shared folders in nextcloud under the ibays folder [SME: 10559]

* Sat Apr 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-3.sme
- tidying templates, set cron update
- fix bad folder name for ibays [SME: 10556]

* Fri Mar 30 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- initial release

